*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Kumbh Sans', sans-serif;
}

.navbar {
    background: #131313;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    position: sticky;
    top: 0;
    z-index: 999;
    
}

.navbar__container{
    display: flex;
    justify-content: space-between;
    height: 80;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    margin: 0 auto;
    padding: 0 50px;
}

#navbar__logo {
    background-color: #0000ff;
    background-image: linear-gradient(to top,#0000ff 0%, #fff 80%);
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
}

.fa-gem {
    margin-right: 0.5rem;
}

.navbar__menu{
    display: flex;
    align-items: center;
    list-style: none;
    text-align: center;
}

.navbar__item {
    height: 80px;
}

.navbar__links {
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    padding: 0 1rem;
    height: 100%;
}

.navbar__btn {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    width: 100%;
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    padding: 10px 20px;
    height: 100%;
    width: 100%;
    border: none;
    outline: none;
    border-radius: 4px;
    background: #4837ff;
    color: #fff
}

.button:hover {
    background: #0000ff;
    transition: all 0.3s ease;
}

.navbar__links:hover {
    color: #0000ff;
    transition: all 0.3 ease;
}

@media screen and (max-width: 960px) {
    .navbar__container {
        display: flex;
        justify-content: space-between;
        height: 80px;
        z-index: 1;
        width: 100%;
        max-width: 1300px;
        padding: 0;
    }

    .navbar__menu {
        display: grid;
        grid-template-columns: auto;
        margin: 0;
        width: 100%;
        position: absolute;
        top: -1000px;
        opacity: 0;
        transition: all 0.5 ease;
        height: 50vh;
        z-index: -1;
        background: #131313;
    }

    .navbar__menu.active {
        background: #131313;
        top: 100%;
        opacity: 1;
        transition: all 0.5 ease;
        z-index: 99;
        height: 50vh;
        font-size: 1.6rem;
    }

    #navbar__logo {
        padding-left: 25px;
    }

    .navbar__toggle .bar {
        width: 25px;
        height: 3px;
        margin: 5px auto;
        transition: all 0.5 ease-in-out;
        background: #fff;
    }
    
    .navbar__item {
        width: 100%;
    }

    .navbar__links {
        text-align: center;
        padding: 2rem;
        width: 100%;
        display: table;
    }

    #mobile-menu {
        position: absolute;
        top: 20%;
        right: 5%;
        transform: translate(5%, 20%);
    }

    .navbar__btn {
        padding-bottom: 2rem;
    }

    .button {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 80%;
        height: 80px;
        margin: 0;
    }

    .navbar__toggle .bar {
        display: block;
        cursor: pointer;
    }

    #mobile-menu.is-active .bar:nth-child(2) {
        opacity: 0;
    }

    #mobile-menu.is-active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    #mobile-menu.is-active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }

}

/* Hero Section CSS */

.main {
    background-color: #141414;
}

.main__container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-self: center;
    margin: 0 auto;
    height: 90vh;
    background-color: #141414;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    padding: 0 50px;
}

     .main__content h1 {
        font-size: 4rem;
        background-color: #4837ff;
        background-image: linear-gradient(to top, #fff 0%, #4837ff 100% );
        background-size: 100%;
        -webkit-background-clip: text;
        -moz-background-clip: text;
        -webkit-text-fill-color: transparent;
        -moz-text-fill-color: transparent;
     }

     .main__content h2 {
        font-size: 4rem;
        background-color: #4837ff;
        background-image: linear-gradient(to top, #fff 0%, #12086f 100% );
        background-size: 100%;
        -webkit-background-clip: text;
        -moz-background-clip: text;
        -webkit-text-fill-color: transparent;
        -moz-text-fill-color: transparent;
     }

     .main__content p {
        margin-top: 1rem;
        font-size: 2rem;
        font-weight: 700;
     }

    .main__btn {
        font-size: 1rem;
        background-image: linear-gradient(to top, #4cc9f0 0%, #0000 100%);
        padding: 14px 32px;
        border: none;
        border-radius: 4px;
        color: #fff;
        margin-top: 2rem;
        cursor: pointer;
        position: relative;
        transition: all 0.35s;
        outline: none;
    }

    .main__btn a {
        position: relative;
        z-index: 2;
        color: #fff;
        text-decoration: none;
    }

    .main__btn:after {
        position: absolute;
        content: '';
        top: 0;
        left: 0;
        width: 0;
        height: 100%;
        background: #ff0000;
        transition: all 0.35s;
        border-radius: 4px;
    }

    .main__btn:hover {
        color: #fff
    }

    .main__btn:hover:after {
        width:100%
    }

    .main__img--container {
        text-align: center;
    }

    #main__img {
        height: 80%;
        width: 80%;
    }

    /* Mobile Responisve */

    @media screen and (max-width: 768px) {
        .main__container {
            display: grid;
            grid-template-columns: auto;
            align-items: center;
            justify-self: center;
            width: 100%;
            margin: 0 auto;
            height: 90vh;
        }

        .main__content {
            text-align: center;
            margin-bottom: 4rem;
        }

        .main__content h1 {
            font-size: 2.5rem;
            margin-top: 2rem;
        }

        .main__content h2 {
            font-size: 3rem;
        }

        .main__content p {
            margin-top: 1rem;
            font-size: 1.5rem;
        }
    }

    @media screen and (max-width: 480px) {
        .main__content h1 {
            font-size: 2rem;
            margin-top: 3rem;
        }

        .main__content h2 {
            font-size: 2rem;
        }

        .main__content p {
            margin-top: 2rem;
            font-size: 1.5rem;
        }

        .main__btn {
            padding: 12px 36px;
            margin: 2.5rem 0;
        }
    }

    /* Services Section */
    .services {
        background: #141414;
        display: flex;
        flex-direction: column;
        align-items: center;
        height: 100vh;
    }

    .services h1 {
        background-color: #4837ff;
        background-image: linear-gradient(to right, #4837ff 0%, #000080 50%, #fff 100%);
        background-size: 100%;
        margin-bottom: 5rem;
        font-size: 2.5rem;
        -webkit-background-clip: text;
        -moz-background-clip: text;
        -webkit-text-fill-color: transparent;
        -moz-text-fill-color: transparent;
    }

    .services__container {
        display:flex;
        justify-content: center;
        flex-wrap: wrap;
    }

    .services__card {
        margin: 1rem;
        height: 525px;
        width: 400px;
        border-radius: 4px;
        background-image: linear-gradient(to bottom, rgba(0,0,0,0) 0%, rgba(17,17,17,0.6) 100%), url('/images/pic2.jpg');
        background-size: cover;
        position: relative;
        color: #fff;
    }

    .services__card:nth-child(2) {
        background-image: linear-gradient(to bottom, rgba(0,0,0,0) 0%, rgba(17,17,17,0.6) 100%), url('/images/pic3.jpg');
    }

    .services h2 {
        position: absolute;
        top: 350px;
        left: 30px;
    }

    .services__card p {
        position: absolute;
        top: 400px;
        left: 30px;
    }

    .services__card button {
        color: #fff;
        padding: 10px 20px;
        border: none;
        outline: none;
        border-radius: 4px;
        background:#4cc9f0;
        position: absolute;
        top: 440px;
        left: 30px;
        font-size: 1rem;
        cursor: pointer;
    }

    .services__card:hover {
        transform: scale(1.075);
        transition: 0.2s ease-in;
        cursor: pointer;
    }

    @media screen and (max-width: 960px) {
        .services {
            height: 1600px;
        }

        .services h1 {
            font-size: 2rem;
            margin-top: 12rem;
        }
    }

    @media screen and (max-width: 480px) {
        .services {
            height: 1400px;
        }

        .services h1 {
            font-size: 1.2rem;
        }

        .services__card {
            width: 300px;
        }
    }


    /* Footer CSS */

    @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');
    body{
        line-height: 1.5;
        font-family: 'Poppins', sans-serif;
    }
    *{
        margin:0;
        padding:0;
        box-sizing: border-box;
    }
    .container{
        max-width: 1170px;
        margin:auto;
    }
    .row{
        display: flex;
        flex-wrap: wrap;
    }
    ul{
        list-style: none;
    }
    .footer{
        background-color: #24262b;
        padding: 70px 0;
    }
    .footer-col{
       width: 25%;
       padding: 0 15px;
    }
    .footer-col h4{
        font-size: 18px;
        color: #ffffff;
        text-transform: capitalize;
        margin-bottom: 35px;
        font-weight: 500;
        position: relative;
    }
    .footer-col h4::before{
        content: '';
        position: absolute;
        left:0;
        bottom: -10px;
        background-color: #e91e63;
        height: 2px;
        box-sizing: border-box;
        width: 50px;
    }
    .footer-col ul li:not(:last-child){
        margin-bottom: 10px;
    }
    .footer-col ul li a{
        font-size: 16px;
        text-transform: capitalize;
        color: #ffffff;
        text-decoration: none;
        font-weight: 300;
        color: #bbbbbb;
        display: block;
        transition: all 0.3s ease;
    }
    .footer-col ul li a:hover{
        color: #ffffff;
        padding-left: 8px;
    }
    .footer-col .social-links a{
        
        display: inline-block;
        height: 40px;
        width: 40px;
        background-color: rgba(255,255,255,0.2);
        margin:0 10px 10px 0;
        text-align: center;
        line-height: 40px;
        border-radius: 50%;
        color: #ffffff;
        transition: all 0.5s ease;
    }
    .footer-col .social-links a:hover{
        color: #24262b;
        background-color: #ffffff;
    }
    
    /*responsive*/
    @media(max-width: 767px){
      .footer-col{
        width: 50%;
        margin-bottom: 30px;
    }
    }
    @media(max-width: 574px){
      .footer-col{
        width: 100%;
    }
    }
